#ifndef  __INDEX_OP_NUM2ARG__
#define  __INDEX_OP_NUM2ARG__
#include "index.h"

/* assumes existence of elemop_name */
void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray*prhs[])
{
  Index ii, jj;
  if ( nrhs != 2 )
    mexErrMsgTxt("Exactly two arguments expected.");
  ii = index_readmxarray(prhs[0]);
  jj = index_readmxarray(prhs[1]);
  plhs[0] = mxCreateScalarDouble((double) elemop_name(ii,jj));
  index_free(ii);
  index_free(jj);
}

#endif
